//
// C++ Implementation: kmyfirewallinterface
//
// Description:
//
//
// Author: Christian Hubinger <chubinger@irrsinnig.org>, (C) 2003
//
// Copyright: See COPYING file that comes with this distribution
//
//
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/



#include "kmyfirewallinterface.h"

#include <kdebug.h>

#include <stdlib.h>

namespace KMF {
KMyFirewallInterface* KMyFirewallInterface::m_instance = 0;
KMyFirewallInterface::KMyFirewallInterface() {
	if ( m_instance ) {
		kdDebug() << "ERROR: Duplicate creation of KMyFirewallInterface" << endl;
		exit( 1 ); 
	
	}
	m_instance = this;
}
KMyFirewallInterface::~KMyFirewallInterface() {}

KMyFirewallInterface* KMyFirewallInterface::instance() {
	return m_instance;
}

}
